Package org.gitana.platform.client.domain

# Class DomainImpl

java.lang.Object
org.gitana.platform.support.GitanaObjectImpl
org.gitana.platform.client.document.DocumentImpl
org.gitana.platform.client.datastore.AbstractDataStoreImpl
org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl
org.gitana.platform.client.platform.AbstractPlatformDataStoreImpl
org.gitana.platform.client.domain.DomainImpl

All Implemented Interfaces:
  `Serializable`, `ClusterDataStore`, `DataStore`, `Document`, `Domain`, `PlatformDataStore`, `AccessControllable`, `Copyable`, `Referenceable`, `Selfable`, `TitleDescription`, `Transferable`, `TypedID`, `Teamable`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`

public class DomainImpl extends AbstractPlatformDataStoreImpl implements Domain

Author:
  uzi
See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.gitana.platform.support.GitanaObjectImpl

`serialVersionUID`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Constructor Summary

Constructors
Constructor
Description
`DomainImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)`

## Method Summary

Modifier and Type
Method
Description
`PermissionCheckResults`
`checkPrincipalPermissions(List<PermissionCheck> list)`
`DomainGroup`
`createGroup(String name)`
`DomainPrincipal`
`createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)`
`DomainUser`
`createUser(String name, String password)`
`void`
`deletePrincipal(String principalId)`
`void`
`deletePrincipal(DomainPrincipal principal)`
`String`
`getResourceUri()`
`String`
`getTypeId()`
`DomainUser`
`inviteUser(DomainUser invitee)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listGroups(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(String principalId)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(String principalId, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals()`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`listPrincipals(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`listUsers()`
`org.gitana.platform.support.ResultMap<DomainUser>`
`listUsers(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainPrincipal>`
`queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainUser>`
`queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`DomainPrincipal`
`readPrincipal(String principalId)`
`void`
`reload()`
Reload
`void`
`updatePrincipal(DomainPrincipal principal)`

### Methods inherited from class org.gitana.platform.client.platform.AbstractPlatformDataStoreImpl

`copy, copy, copyAsync, copyAsync, getPlatform, ref`

### Methods inherited from class org.gitana.platform.client.cluster.AbstractClusterDataStoreImpl

`getCluster`

### Methods inherited from class org.gitana.platform.client.datastore.AbstractDataStoreImpl

`createTeam, createTeam, delete, deleteTeam, equals, exportArchive, exportArchive, exportArchive, getACL, getACL, getAuthorityGrants, getDriver, getFactory, getId, getOwnersTeam, getRemote, getTeamableBaseUri, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, importArchive, importArchive, importArchive, listTeams, readTeam, revoke, revoke, revokeAll, revokeAll, update`

### Methods inherited from class org.gitana.platform.client.document.DocumentImpl

`dateCreated, dateModified, getCreatedBy, getDescription, getModifiedBy, getSystemObject, getTitle, isSaved, mergeProperties, mergePropertyIfExists, reload, reload, setDescription, setId, setSaved, setTitle`

### Methods inherited from class org.gitana.platform.support.GitanaObjectImpl

`_objectGetFloat, _objectGetInt, _objectGetLong, _objectGetObject, _objectGetString, _objectSet, get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, putObject, remove, set, toJSON, toJSONString, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.cluster.ClusterDataStore

`getCluster`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDataStore

`getPlatform`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, update`

### Methods inherited from interface org.gitana.platform.client.team.Teamable

`createTeam, createTeam, deleteTeam, getOwnersTeam, getTeamableBaseUri, listTeams, readTeam`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId`

## Constructor Details

### DomainImpl

public DomainImpl(Platform platform, com.fasterxml.jackson.databind.node.ObjectNode obj, boolean isSaved)

## Method Details

### getTypeId

public String getTypeId()

Specified by:
  `getTypeId` in interface `TypedID`

### getResourceUri

public String getResourceUri()

Specified by:
  `getResourceUri` in class `AbstractDataStoreImpl`

### reload

public void reload()
Description copied from interface: `Selfable`
Reload

Specified by:
  `reload` in interface `Selfable`
Specified by:
  `reload` in class `AbstractDataStoreImpl`

### listPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals()

Specified by:
  `listPrincipals` in interface `Domain`

### listPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> listPrincipals(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listPrincipals` in interface `Domain`

### readPrincipal

public DomainPrincipal readPrincipal(String principalId)

Specified by:
  `readPrincipal` in interface `Domain`

### createPrincipal

public DomainPrincipal createPrincipal(org.gitana.platform.services.principals.PrincipalType type, com.fasterxml.jackson.databind.node.ObjectNode object)

Specified by:
  `createPrincipal` in interface `Domain`

### createUser

public DomainUser createUser(String name, String password)

Specified by:
  `createUser` in interface `Domain`

### createGroup

public DomainGroup createGroup(String name)

Specified by:
  `createGroup` in interface `Domain`

### queryPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryPrincipals` in interface `Domain`

### queryPrincipals

public org.gitana.platform.support.ResultMap<DomainPrincipal> queryPrincipals(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryPrincipals` in interface `Domain`

### updatePrincipal

public void updatePrincipal(DomainPrincipal principal)

Specified by:
  `updatePrincipal` in interface `Domain`

### deletePrincipal

public void deletePrincipal(DomainPrincipal principal)

Specified by:
  `deletePrincipal` in interface `Domain`

### deletePrincipal

public void deletePrincipal(String principalId)

Specified by:
  `deletePrincipal` in interface `Domain`

### listMemberships

public org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(DomainPrincipal principal)

Specified by:
  `listMemberships` in interface `Domain`

### listMemberships

public org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(String principalId)

Specified by:
  `listMemberships` in interface `Domain`

### listMemberships

public org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)

Specified by:
  `listMemberships` in interface `Domain`

### listMemberships

public org.gitana.platform.support.ResultMap<DomainGroup> listMemberships(String principalId, boolean includeIndirectMemberships)

Specified by:
  `listMemberships` in interface `Domain`

### checkPrincipalPermissions

public PermissionCheckResults checkPrincipalPermissions(List<PermissionCheck> list)

Specified by:
  `checkPrincipalPermissions` in interface `Domain`

### listUsers

public org.gitana.platform.support.ResultMap<DomainUser> listUsers()

Specified by:
  `listUsers` in interface `Domain`

### listUsers

public org.gitana.platform.support.ResultMap<DomainUser> listUsers(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listUsers` in interface `Domain`

### listGroups

public org.gitana.platform.support.ResultMap<DomainGroup> listGroups()

Specified by:
  `listGroups` in interface `Domain`

### listGroups

public org.gitana.platform.support.ResultMap<DomainGroup> listGroups(org.gitana.platform.support.Pagination pagination)

Specified by:
  `listGroups` in interface `Domain`

### queryUsers

public org.gitana.platform.support.ResultMap<DomainUser> queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryUsers` in interface `Domain`

### queryUsers

public org.gitana.platform.support.ResultMap<DomainUser> queryUsers(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryUsers` in interface `Domain`

### queryGroups

public org.gitana.platform.support.ResultMap<DomainGroup> queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)

Specified by:
  `queryGroups` in interface `Domain`

### queryGroups

public org.gitana.platform.support.ResultMap<DomainGroup> queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)

Specified by:
  `queryGroups` in interface `Domain`

### inviteUser

public DomainUser inviteUser(DomainUser invitee)

Specified by:
  `inviteUser` in interface `Domain`